### File

`packages/ecl/components/ecl-mega-menu/ecl-mega-menu-featured/ecl-mega-menu-featured.component.ts`

### Description

This component represents the featured items panel.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `div[eclMegaMenuFeatured]`
templateUrl | `./ecl-mega-menu-featured.component.html`

### Index

###### Properties
cmpClass eclMegaMenuFeaturedStyleHeight featuredItems links megaMenuFeaturedScrollable
###### Methods
getEclMegaMenuFeaturedHeight getCssClasses
###### Inputs
title titleId class e2eAttr tabindex
###### HostBindings
class.ecl-mega-menu__featured style.height.px

### Inputs

title
Type : `string`

titleId
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-mega-menu__featured
Type : `boolean`
Default value : `true`

style.height.px
Type : `number | null`
Default value : `null`

### Methods

getEclMegaMenuFeaturedHeight
`getEclMegaMenuFeaturedHeight()`
Calculates and returns the height of the component. The total height of all the list items. Returns : `number` the height of the component

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

cmpClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-mega-menu__featured')`

eclMegaMenuFeaturedStyleHeight
Type : `number | null`
Default value : `null`
Decorators : `@HostBinding('style.height.px')`

featuredItems
Type : `QueryList<EclMegaMenuFeaturedListItemDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

links
Type : `QueryList<EclLinkDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

megaMenuFeaturedScrollable
Type : `ElementRef`
Decorators : `@ViewChild('megaMenuFeaturedScrollable')`

# results matching ""

# No results matching ""